{
	"format_version": "1.21.70",
	"minecraft:block": {
		"description": {
			"identifier": "scpcf:scp_294",
			"states": {
				"scp294:block": [
					"default",
					"lower",
					"upper"
				]
			},
			"traits": {
				"minecraft:placement_direction": {
					"enabled_states": [
						"minecraft:cardinal_direction"
					],
					"y_rotation_offset": 180
				}
			},
			"menu_category": {
				"category": "none",
				"is_hidden_in_commands": false
			}
		},
		"components": {
			"minecraft:destructible_by_mining": {
				"seconds_to_destroy": 15
			},
			"minecraft:destructible_by_explosion": {
				"explosion_resistance": 6
			},
			"minecraft:custom_components": [
				"scp294:function"
			],
			"minecraft:material_instances": {
				"*": {
					"texture": "scpclassifiedIscp294texture",
					"render_method": "opaque"
				}
			},
			"minecraft:light_dampening": 1,
			"minecraft:light_emission": 6
		},
		"permutations": [
			{
				"condition": "q.block_state('minecraft:cardinal_direction') == 'north'",
				"components": {
					"minecraft:transformation": {
						"rotation": [
							0,
							0,
							0
						]
					}
				}
			},
			{
				"condition": "q.block_state('minecraft:cardinal_direction') == 'south'",
				"components": {
					"minecraft:transformation": {
						"rotation": [
							0,
							180,
							0
						]
					}
				}
			},
			{
				"condition": "q.block_state('minecraft:cardinal_direction') == 'east'",
				"components": {
					"minecraft:transformation": {
						"rotation": [
							0,
							-90,
							0
						]
					}
				}
			},
			{
				"condition": "q.block_state('minecraft:cardinal_direction') == 'west'",
				"components": {
					"minecraft:transformation": {
						"rotation": [
							0,
							90,
							0
						]
					}
				}
			},
			{
				"condition": "q.block_state('scp294:block') == 'lower'",
				"components": {
					"minecraft:loot": "loot_tables/empty.json",
					"minecraft:placement_filter": {
						"conditions": [
							{
								"block_filter": [
									"scpcf:scp_294"
								],
								"allowed_faces": [
									"down"
								]
							}
						]
					},
					"minecraft:geometry": {
						"identifier": "geometry.scpclassifiedscp294lower"
					}
				}
			},
			{
				"condition": "q.block_state('scp294:block') == 'upper'",
				"components": {
					"minecraft:loot": "loot_tables/empty.json",
					"minecraft:placement_filter": {
						"conditions": [
							{
								"block_filter": [
									"scpcf:scp_294"
								],
								"allowed_faces": [
									"up"
								]
							}
						]
					},
					"minecraft:geometry": {
						"identifier": "geometry.scpclassifiedscp294upper"
					}
				}
			},
			{
				"condition": "q.block_state('scp294:block') == 'default'",
				"components": {
					"minecraft:loot": "loot_tables/scp294.json",
					"minecraft:geometry": {
						"identifier": "geometry.scpclassifiedscp294lower"
					}
				}
			}
		]
	}
}